<?

$id = intval(check($id));

$query = @mysql_query("SELECT * FROM `forum_message` WHERE `id` = '$id';");
if(@mysql_affected_rows() > 0)
{
$array = @mysql_fetch_array($query);
$name = substr($array['url'], 10, strlen($array['url']));

echo "Файл: <a href=\"".F."fail/".$array['fale']."\">".$array['fname']."</a> [".round($mess['size']/1024,1)." кб.]";

@mysql_query("UPDATE `forum_message` SET `sfale` = `sfale` + 1 WHERE `id` = '$id';");

header("Location: ".F."fail/".$array['fale']."");
}
else
{
echo "Файла не существует;<br/>";
}
?>